@import "../base/variable.scss";
@import "../base/mixins.scss";


.dashboard_section {
    .dashboard_inner {
        .right_side_wrap {
            @include clearfix();
            .setting {
                padding-bottom: 50px;
                .breadcame{
                    background-color: $breadcame;
                    margin-bottom: 60px;
                    &.margin{
                        margin-bottom: 40px;
                    }
                    .breadcame_area{
                        h2{
                            font-size: 32px;
                            font-weight: 400;
                            padding-top: 30px;
                            padding-bottom: 30px;
                            padding-left:20px;
                        }
                        &.transaction_breadcame{
                            @include clearfix();
                            .left{
                                float: left;
                                h2{
                                    font-size: 32px;
                                    font-weight: 400;
                                    padding-top: 30px;
                                    padding-bottom: 30px;
                                    padding-left: 20px;
                                }
                            }
                            .right{
                                float:right;
                                padding-right: 37px;
                                .search_input_with_btn {
                                    float: left;
                                    .form-group {
                                        position: relative;
                                        .form-control {
                                            font-size: 14px;
                                            color: $black;
                                            padding-right: 45px;
                                            background-color: $breadcame;
                                            border: 1px solid black;
                                            border-radius: 5px;
                                            &::placeholder{
                                                color: $offfspra;
                                            }
                                        }
                                        .input-group-append {
                                            position: absolute;
                                            right: 0;
                                            top: 0;
                                            padding-top: 33px;
                                            padding-right: 20px;
                                            a{
                                                i{
                                                    color: $left_arrow;
                                                }
                                            }
                                        }
                                    }
                                }
                                .filter {
                                    float: left;
                                    padding-left: 20px;
                                    padding-top: 22px;
                                    a{
                                        i {
                                        width: 48px;
                                        height: 48px;
                                        line-height: 47px;
                                        display: block;
                                        border-radius: 5px;
                                        background-color: $primary-color;
                                        color: $white;
                                        text-align: center;
                                        }
                                    }
                                    ul{
                                        li{
                                            .dropdown-toggle{
                                                &::after{
                                                    content: none;
                                                }
                                            }
                                            .dropdown-menu {
                                                min-width: 321px;
                                                padding-top: 20px !important;
                                                padding: 0 20px;
                                                transform: none !important;
                                                left: unset !important;
                                                right: 0 !important;
                                                top: 100% !important;
                                                padding-bottom: 20px !important;
                                                border: none;
                                                border-radius: 5pxpx;
                                                box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
                                                margin-top: 16px !important;
                                                .form-group{
                                                    position: relative;
                                                    border-radius: 5px;
                                                    .form-select{
                                                        padding-left: 30px;
                                                    }
                                                    .input-group{
                                                        background-color: $input;
                                                        position: relative;
                                                        border-radius: 20px;
                                                        .form-control{
                                                            position: relative;
                                                            border-radius: 5px;
                                                            background-color: $input;
                                                            &::placeholder{
                                                                color: $black3;
                                                                font-weight: 500;
                                                            }
                                                        }
                                                        .datepicker{
                                                            &.dropdown-menu {
                                                                min-width: 248px !important;
                                                                padding: 0;
                                                            }
                                                        }
                                                        .icon {
                                                            position: absolute;
                                                            right: 11px;
                                                            padding-top: 11px;
                                                            z-index: 99;
                                                        }
                                                    }
                                                }
                                                label{
                                                    font-size: 14px;
                                                    font-weight: 500;
                                                    color: $secondary_color;
                                                    padding-right: 30px;
                                                }
                                                .footer_button {
                                                    float: right;
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    
                }
                p {
                    font-size: 18px;
                    font-weight: 500;
                    padding-bottom: 15px;
                }
                .image {
                    position: relative;
                    width: 150px;
                    height: 150px;
                    border-radius: 5px;
                    overflow: hidden;
                    img{
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                    .iconwrap{
                        position: absolute;
                        top: 40%;
                        left: 0;
                        right: 0;
                        margin: 0 auto;
                        text-align: center;
                        a{
                            i{
                                color: $white;
                                display: block;
                                width: 40px;
                                height: 40px;
                                line-height: 40px;
                                text-align: center;
                                background-color: rgba($color: $black, $alpha: 0.6);
                                border-radius: 50%;
                                margin: 0 auto;
                            }
                        }
                    }
                }
                .form-group {
                    padding-top: 20px;
                    label {
                        font-size: 14px;
                        font-weight: 500;
                    }
                    .form-control {
                        font-size: 14px;
                        font-weight: 500;
                    }
                    p {
                        font-size: 14px;
                        font: 500;
                        color: $offfspra2;
                        padding-bottom: 16px;
                    }
                }
                .save_button{
                    padding-top: 25px;
                    a{
                        &.btn-primary-1{
                            font-weight: 500;
                            line-height: 47px;
                            border-radius: 5px;
                        }
                    }
                    
                }
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 3891px) and (max-width: 5120px) {}

/* Extra Huge large desktops */
@media (min-width: 3831px) and (max-width: 3891px) {}

/* Extra Huge large desktops */
@media (min-width: 2840px) and (max-width: 3831px) {}

/* Extra Huge large desktops */
@media (min-width: 2560px) and (max-width: 3850px) {}

/* Extra Huge large desktops */
@media (min-width: 1921px) and (max-width: 2560px) {}

/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

@media (min-width: 1200px) and (max-width: 1399px){
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .dashboard_section {             
        .dashboard_inner {
            .side_bar_section{
                .side_bar_area{
                    .box_area{
                        .menu_area{
                            padding-left: 5px;
                            padding-right: 4px;
                            .headingg{
                                h5{
                                    padding-left: 22px;
                                    &::before{
                                        width: 128px;
                                        top: 42px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            .right_side_wrap {
                .setting {
                    .breadcame{
                        .breadcame_area{
                            h2{
                                font-size: 26px;
                            }
                            &.transaction_breadcame{
                                .left{
                                    h2{
                                        font-size: 26px;
                                    }
                                }
                                .right{
                                    .search_input_with_btn{
                                        .form-group{
                                            .form-control{
                                                padding-right: 40px;
                                                padding-left: 10px;
                                                width: 200px;
                                                max-width: 100%;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    } 
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .dashboard_section {
        .dashboard_inner {      
            .right_side_wrap{
                .setting{ 
                    .breadcame{
                        .breadcame_area{
                            h2{
                                font-size: 24px;
                            }
                            &.transaction_breadcame{
                                .left{
                                    h2{
                                        font-size: 24px;
                                    }
                                }
                                .right{
                                    .search_input_with_btn{
                                        .form-group{
                                            .form-control{
                                                padding-right: 40px;
                                                padding-left: 10px;
                                                width: 200px;
                                                max-width: 100%;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    .change_password{
                        padding: 0 25px;
                    }
                }
            }
            .side_bar_section{ 
                .side_bar_area{ 
                    .box_area{ 
                        .menu_area{
                            &.sidebar_height{
                                height: 0vh;
                            }
                        }
                    }
                }
            }
        }
    } 
    
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .dashboard_section {
        .dashboard_inner {     
            .right_side_wrap{
                .setting{
                    padding: 0px;
                    padding-bottom: 40px;
                    .breadcame{
                        margin-bottom:35px;
                        &.margin{
                            margin-bottom: 20px;
                        }
                        .breadcame_area{
                            h2{
                                font-size: 24px;
                                padding-top: 25px;
                                padding-bottom: 25px;
                            }
                            &.transaction_breadcame{
                                .left{
                                    float: unset;
                                    padding-left: 0px;
                                    padding-top: 21px;
                                    h2{
                                        font-size: 24px;
                                        padding-top: 5px;
                                        padding-bottom: 2px;
                                        text-align: left;
                                    }
                                }
                                .right{
                                    float: unset;
                                    padding-left: 20px;
                                    .search_input_with_btn{
                                        .form-group{
                                            padding-bottom: 15px;
                                            .form-control{
                                                padding-right: 40px;
                                                padding-left: 10px;
                                            }
                                        }
                                    }
                                    .filter{
                                        ul{
                                            li{
                                                .dropdown-menu{
                                                    min-width: 288px;
                                                    label{
                                                        padding-bottom: 10px;
                                                        padding-right: 24px;
                                                    }
                                                    .footer_button{
                                                        button{
                                                            &.btn-primary-7{
                                                                height: 45px;
                                                                width: 100px;
                                                                line-height: 41px;
                                                                font-size: 13px;
                                                            }
                                                            &.btn-primary{
                                                                height: 45px;
                                                                width: 100px;
                                                                line-height: 41px;
                                                                font-size: 13px;
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    .change_password{
                        padding: 0 25px;
                    }
                    .form-group{
                        margin-bottom: 8px;
                    }
                }
            }
        }
    }   
 }

/* Smaller phones */
@media (max-width: 360px) {
    .dashboard_section {
        .dashboard_inner {     
            .right_side_wrap{
                .setting{
                    padding-bottom: 40px;
                    .breadcame{
                        margin-bottom: 30px;
                        &.margin{
                            margin-bottom: 20px;
                        }
                        .breadcame_area{
                            h2{
                                font-size: 23px;
                                padding-top: 20px;
                                padding-bottom: 20px;
                            }
                            &.transaction_breadcame{
                                .left{
                                    float: unset;
                                    padding-left: 0px;
                                    h2{
                                        font-size: 23px;
                                        text-align: left;
                                        padding-bottom: 5px;
                                        padding-top: 10px;
                                    }
                                }
                                .right{
                                    float: unset;
                                    padding-left: 20px;
                                    .search_input_with_btn{
                                        .form-group{
                                            padding-bottom: 15px;
                                            .form-control{
                                                padding-right: 40px;
                                                padding-left: 10px;
                                            }
                                        }
                                    }
                                    .filter{
                                        ul{
                                            li{
                                                .dropdown-menu{
                                                    min-width: 283px;
                                                    label{
                                                        padding-bottom: 10px;
                                                        padding-right: 24px;
                                                    }
                                                    .footer_button{
                                                        button{
                                                            &.btn-primary-7{
                                                                height: 45px;
                                                                width: 100px;
                                                                line-height: 41px;
                                                                font-size: 13px;
                                                            }
                                                            &.btn-primary{
                                                                height: 45px;
                                                                width: 100px;
                                                                line-height: 41px;
                                                                font-size: 13px;
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    .change_password{
                        padding: 0 20px;
                    }
                    .form-group{
                        margin-bottom: 7px;
                    }
                }
            }
        }
    }     
}

/* Smaller phones */
@media (max-width: 320px) {
    .dashboard_section{
        .dashboard_inner{
            .right_side_wrap{
                .setting{
                    .breadcame{
                        .breadcame_area{
                            h2{
                                font-size: 20px;
                                padding-top: 20px;
                                padding-bottom: 20px;
                            }
                            &.transaction_breadcame{
                                .left{
                                    h2{
                                        font-size: 20px;
                                        padding-left: 15px;
                                    }
                                }
                                .right{
                                    padding-right: 0px;
                                    .filter{
                                        padding-left: 10px;
                                        ul{
                                            li{
                                                .dropdown-menu{
                                                    min-width: 244px;
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}